# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TI16Value

Packages that use TI16Value
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TI16Value in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TI16Value
Modifier and Type
Class
Description
`class`
`TI16Value`
`class`
`TI16Value`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TI16Value
Modifier and Type
Method
Description
`TI16Value`
TI16Value.`deepCopy()`
`TI16Value`
TColumnValue.`getI16Val()`
`TI16Value`
TI16Value.`setValue(short value)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TI16Value
Modifier and Type
Method
Description
`int`
TI16Value.`compareTo(TI16Value other)`
`boolean`
TI16Value.`equals(TI16Value that)`
`static TColumnValue`
TColumnValue.`i16Val(TI16Value value)`
`void`
TColumnValue.`setI16Val(TI16Value value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TI16Value
Modifier
Constructor
Description
``
`TI16Value(TI16Value other)`
Performs a deep copy on other.